## ncview 1.93g

=== Makefile ===

F90CMD = g95
F90OPTS = -fno-second-underscore -O3 -I/usr/local/include -L/usr/local/lib -I$(HOME)/include -L$(HOME)/lib

genoverlay_usa: genoverlay_usa.f90
	$(F90CMD) $(F90OPTS) -o genoverlay_usa genoverlay_usa.f90 \
		$(INCDIRS) $(LIBDIRS) -lnetcdf

gengrid: gengrid.f90
	$(F90CMD) $(F90OPTS) -o gengrid gengrid.f90

genoverlay_radians: genoverlay_radians.f90
	$(F90CMD) $(F90OPTS) -o genoverlay_radians genoverlay_radians.f90	\
		$(INCDIRS) $(LIBDIRS) -lcrdnetcdf -lnetcdf

genoverlay2: genoverlay2.f90
	$(F90CMD) $(F90OPTS) -o genoverlay2 genoverlay2.f90	\
		$(INCDIRS) $(LIBDIRS) -lcrdnetcdf -lnetcdf

genoverlay: genoverlay.f90
	$(F90CMD) $(F90OPTS) -o genoverlay genoverlay.f90	\
		$(INCDIRS) $(LIBDIRS) -lcrdnetcdf -lnetcdf

## ncview 2.1.5+ds1

=== debian/changelog ===
ncview (2.1.5+ds1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2015 15:48:57 +0200

ncview (2.1.5+ds1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 21:34:41 +0200

ncview (2.1.5+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
    (closes: #749821, #546943)
  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Update Vcs-* URLs for move from SVN to Git.
  * Restructure control file with cme.
  * Update watch file to use passive FTP for successful directory listing,
    fix version pattern to match all versions.
  * Update copyright file using copyright-format 1.0.
  * Bump debhelper compatibility to 9.
  * Use minimal dh rules with autoreconf.
  * Repack upstream sources to exclude automatically removed files.
  * Add patch to fix 'auxiliary' typo.
  * Switch to source format 3.0 (quilt).
  * Fix description-synopsis-starts-with-article lintian issue.
  * Bump Standards-Version to 3.9.6, changes:
    canonical Vcs-* URLs, copyright-format 1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Apr 2015 20:00:38 +0200

ncview (1.93g-1) unstable; urgency=low

  [ Magnus Hagdorn ]
  * Initial release (closes: #536882)

  [ Francesco Paolo Lovergine ]
  * Added a watch file.
  * Policy bumped to 3.8.2.
  * Added Vcs-* fields to debian/control
  * Set DebianGis as maintainer and uploaders in debian/control.
  * Removed templates and other debhelper sample stuff.
  * Now uses dh_prep and does not remove -stamp files already removed
    automagically by recent debhelper.
  * Revised descriptions.
  * Avoiding unuseful docs installation.
  * Now man page installs in FHS compliant directory.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 14 Jul 2009 14:32:15 +0200

=== debian/control ===
Source: ncview
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Magnus Hagdorn <magnus.hagdorn@marsupium.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               chrpath,
               libexpat1-dev,
               libpng-dev,
               libnetcdf-dev,
               netcdf-bin,
               libnetpbm10-dev,
               libudunits2-dev,
               libxaw7-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/ncview.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/ncview.git -b jessie-backports
Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html

Package: ncview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: X11 visual browser for NetCDF format files
 You would use ncview to get a quick and easy, push-button look at
 your NetCDF files. You can view simple movies of the data, view along various
 dimensions, take a look at the actual data values, change color maps, invert
 the data and other simple visual operations.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export ACLOCAL=debian/aclocal

%:
	dh $@ \
	  --with autoreconf \
	  --parallel

override_dh_clean:
	dh_clean ncview.1

override_dh_auto_install:
	dh_auto_install

	# Install X11 app-defaults	
	install -m 644 Ncview-appdefaults $(CURDIR)/debian/ncview/etc/X11/app-defaults/Ncview

	# Install colormap files
	install -m 755 -d $(CURDIR)/debian/ncview/usr/share/ncview/
	install -m 644 *.ncmap $(CURDIR)/debian/ncview/usr/share/ncview/

	# removing embedded rpath in binaries
	-find $(CURDIR)/debian/*/usr/bin -type f -exec chrpath --delete {} \;

	# Create man page
	sed 's/NCVIEW_LIB_DIR/\/usr\/share\/ncview/g' data/ncview.1.sed > ncview.1

=== debian/watch ===
version=3
opts=passive,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
repacksuffix=+ds1 \
ftp://cirrus.ucsd.edu/pub/ncview/ \
ncview-([\d\.]+[a-z]*\d*)\.tar\.gz

## ncview 2.1.6+ds

=== debian/changelog ===
ncview (2.1.6+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2015 20:29:55 +0100

ncview (2.1.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Oct 2015 10:26:50 +0100

ncview (2.1.5+ds1-3) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Rebuild for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 15:39:20 +0200

ncview (2.1.5+ds1-2) unstable; urgency=medium

  * Add patch to disable NetCDF compiler check.
    (closes: #793902)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 21:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libudunits2-dev,
                libxaw7-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/ncview.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ncview.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/ncview.git -b jessie-backports
 Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html

## ncview 2.1.7+ds

=== debian/changelog ===
ncview (2.1.7+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Apr 2016 21:31:33 +0200

ncview (2.1.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patch to fix 'determining' typo.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Mar 2016 21:18:04 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                libnetpbm10-dev,
                libudunits2-dev,
                libxaw7-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ncview.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/ncview.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ncview.git -b jessie-backports
 Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
 
 Package: ncview

## ncview 2.1.8%2Bds

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               autotools-dev,
                chrpath,
                libexpat1-dev,
+               libnetcdf-dev,
+               libnetpbm10-dev,
                libpng-dev,
-               libnetcdf-dev,
-               netcdf-bin,
-               libnetpbm10-dev,
                libudunits2-dev,
-               libxaw7-dev
-Standards-Version: 3.9.7
+               libxaw7-dev,
+               netcdf-bin
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ncview.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ncview.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ncview.git
 Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
 
 Package: ncview

## ncview 2.1.8+ds

=== debian/changelog ===
ncview (2.1.8+ds-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update lintian overrides.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 18:49:47 +0100

ncview (2.1.8+ds-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 07:30:34 +0200

ncview (2.1.8+ds-2) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Add autopkgtest to test installability.
  * Add lintian override for debian-watch-uses-insecure-uri.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 21:26:29 +0200

ncview (2.1.8+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:58:36 +0200

ncview (2.1.8+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop autotools-dev from Build-Depends, pulled in via dh-autoreconf.
  * Add patch to fix 'group' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Mar 2017 07:35:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
                chrpath,
                libexpat1-dev,
                libnetcdf-dev,
@@ -15,9 +14,9 @@
                libudunits2-dev,
                libxaw7-dev,
                netcdf-bin
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ncview.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ncview.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/ncview
+Vcs-Git: https://salsa.debian.org/debian-gis-team/ncview.git
 Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
 
 Package: ncview
@@ -29,4 +28,3 @@
  your NetCDF files. You can view simple movies of the data, view along various
  dimensions, take a look at the actual data values, change color maps, invert
  the data and other simple visual operations.
-

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 # DH_VERBOSE := 1
 
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 export ACLOCAL=debian/aclocal
 
 %:
-	dh $@ \
-	  --with autoreconf \
-	  --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean ncview.1
@@ -27,4 +28,3 @@
 
 	# Create man page
 	sed 's/NCVIEW_LIB_DIR/\/usr\/share\/ncview/g' data/ncview.1.sed > ncview.1
-

=== debian/watch ===
version=3
opts=passive,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
ftp://cirrus.ucsd.edu/pub/ncview/ \
ncview-([\d\.]+[a-z]*\d*)\.tar\.gz

## ncview 2.1.10+ds

=== debian/changelog ===
ncview (2.1.10+ds-1) unstable; urgency=medium

  * New upstream release.
    (closes: #1075309)
  * Drop unused netpbm build dependency.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Update Homepage and download URLs.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Jul 2024 19:43:57 +0200

ncview (2.1.8+ds-5) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update lintian overrides.
  * Change libnetpbm10-dev build dependency to libnetpbm-dev.
    (closes: #1016401)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Jul 2022 08:25:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                chrpath,
                libexpat1-dev,
                libnetcdf-dev,
-               libnetpbm10-dev,
                libpng-dev,
                libudunits2-dev,
                libxaw7-dev,
                netcdf-bin
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/ncview
 Vcs-Git: https://salsa.debian.org/debian-gis-team/ncview.git
-Homepage: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
+Homepage: https://cirrus.ucsd.edu/ncview/
+Rules-Requires-Root: no
 
 Package: ncview
 Architecture: any

## ncview 2.1.11+ds

=== debian/changelog ===
ncview (2.1.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Add patch to fix FTBFS due to -Wformat-overflow.
  * Update author email address.
  * Add patch to fix top level Makefile.am.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Nov 2024 05:04:49 +0100

ncview (2.1.10+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Add patch to fix FTBFS due to incompatible-pointer-types.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Nov 2024 08:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libudunits2-dev,
                libxaw7-dev,
                netcdf-bin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/ncview
 Vcs-Git: https://salsa.debian.org/debian-gis-team/ncview.git
 Homepage: https://cirrus.ucsd.edu/ncview/

=== debian/watch ===
version=4
opts=passive,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
https://cirrus.ucsd.edu/~pierce/ncview/ \
ncview-([\d\.]+[a-z]*\d*)\.tar\.gz
